<template>
  <div class="row row-xs">
    <div class="col-2">
      <p>
        <span class="text-xxl text-semibold">{{ entity.overallRating }}</span>
        <span class="text-md c-grey-6">out of 5</span>
      </p>
      <p class="text-md c-grey-6 mt-1x">{{ entity.countRating }} ratings</p>
    </div>
    <div class="col-auto">
      <div
        v-for="row in [5, 4, 3, 2, 1]"
        :key="'star' + row"
        class="d-flex mb-1x"
      >
        <b-icon
          v-for="col in [1, 2, 3, 4, 5]"
          :key="'star' + col"
          name="star-fill"
          :class="row >= col ? 'c-yellow-3 mr-05x' : 'c-grey-2 mr-05x'"
          :size="12"
        ></b-icon>
      </div>
    </div>
    <div class="col">
      <div
        v-for="name in itemNames"
        :key="'bar' + name"
        class="bg-grey-1 bd-rds-max mt-1x mb-2x"
      >
        <div
          class="bg-grey-3 bd-rds-max py-1x"
          :style="
            'width: ' + (entity[name] * 100) / (entity.countRating || 1) + '%'
          "
        ></div>
      </div>
    </div>
    <div class="col-1 c-grey-6">
      <div
        v-for="name in itemNames"
        :key="'num' + name"
        class="text-sm text-semibold text-right"
      >
        {{ entity[name] }}
      </div>
    </div>
  </div>
</template>

<script lang="ts">
export default {
  name: 'CommonRatingSummary',
  props: {
    entity: {
      type: Object,
      default: {} as Object,
    },
  },
  data() {
    return {
      itemNames: ['fiveStar', 'fourStar', 'threeStar', 'twoStar', 'oneStar'],
    }
  },
}
</script>
